> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Read an HTML block's AI thread

> Returns everything asked and answered about one HTML block, oldest first: edits from the block's own composer and from an AI chat focused on it.

Only the document's editors can read it.



## OpenAPI

````yaml get /ai-agent/html-block-thread
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /ai-agent/html-block-thread:
    get:
      tags:
        - AI
      summary: Read an HTML block's AI thread
      description: >-
        Returns everything asked and answered about one HTML block, oldest
        first: edits from the block's own composer and from an AI chat focused
        on it.


        Only the document's editors can read it.
      operationId: aiHtmlBlockThread
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: documentId
          in: query
        - schema:
            type: string
            minLength: 1
          required: true
          name: blockId
          in: query
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        role:
                          type: string
                          enum:
                            - user
                            - ai
                        text:
                          type: string
                        userId:
                          type: string
                        userName:
                          type: string
                        at:
                          type: number
                        via:
                          type: string
                          enum:
                            - block
                            - chat
                      required:
                        - id
                        - role
                        - text
                        - userId
                        - userName
                        - at
                        - via
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '401':
          description: 401 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.